<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9156u2.xslt, 17-09-2019 -->
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:fz="http://ei.vektis.nl/verantwoording/basisschema/v2_0"
 xmlns:fz812="http://ei.vektis.nl/verantwoording/fz812/v2_0"> 
		
	<!-- retourcode 9156: BegindatumPrestatie mag voor OHW niet meer dan een jaar voor de EinddatumVerantwoordingsperiode liggen -->		
	<xsl:template name="rc9156">

		<xsl:param name="BegindatumPrestatie"/>
		<xsl:param name="EinddatumVerantwoordingsperiode"/>
		
		<xsl:variable name="Jaar" select="substring($EinddatumVerantwoordingsperiode,1,4)"/>
		<xsl:variable name="VorigJaar" select="($Jaar)-1"/>
		<xsl:variable name="Maand" select="substring($EinddatumVerantwoordingsperiode,5,2)"/>		
		<xsl:variable name="Dag" select="substring($EinddatumVerantwoordingsperiode,7,2)"/>
		<xsl:variable name="JaarEerder" select="concat(($VorigJaar),$Maand,$Dag)"/>
		
		<xsl:if test="normalize-space($BegindatumPrestatie) &lt; normalize-space($JaarEerder)"> 
			<fz812:Retourcode>9156</fz812:Retourcode>
		</xsl:if>
		
	</xsl:template>

</xsl:stylesheet>
