<?xml version="1.0" encoding="UTF-8"?>
<!-- rc8991u2.xslt, 17-09-2019 -->
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:fz="http://ei.vektis.nl/verantwoording/basisschema/v2_0"
 xmlns:fz812="http://ei.vektis.nl/verantwoording/fz812/v2_0">

	<!-- retourcode 8991: Het totaalbedrag in Plaatsingsbesluit moet gelijk zijn aan de som van alle bedragen.  -->
	<xsl:template name="rc8991">

		<xsl:param name="BehandelingsKosten"/>
		<xsl:param name="FPTKosten"/>
		<xsl:param name="DagbestedingsKosten"/>
		<xsl:param name="MethadonKosten"/>
		<xsl:param name="ECTKosten"/>
		<xsl:param name="ToeslagTolkGebarentaal-Communicatiespecialist"/>
		<xsl:param name="VerblijfsKosten"/>
		<xsl:param name="OverigeProductenEVBGKosten"/>
		<xsl:param name="Totaalbedrag"/>
			
		<xsl:variable name="Saldo" select="(normalize-space($BehandelingsKosten) +  normalize-space($FPTKosten) + normalize-space($DagbestedingsKosten) + normalize-space($MethadonKosten) + normalize-space($ECTKosten) + normalize-space($ToeslagTolkGebarentaal-Communicatiespecialist) + normalize-space($VerblijfsKosten) + normalize-space($OverigeProductenEVBGKosten))"/>
				
		<xsl:if test="$Totaalbedrag != format-number($Saldo,'0')">
			<fz812:Retourcode>8991</fz812:Retourcode>
		</xsl:if>				
			
	</xsl:template>
</xsl:stylesheet>
