<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9225v2u1.xslt, juli 2020 -->
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:fz="http://ei.vektis.nl/verantwoording/basisschema/v2_0"
 xmlns:fz812="http://ei.vektis.nl/verantwoording/fz812/v2_0">
		
	<!-- retourcode 9225: BegindatumPrestatie moet kleiner zijn dan of gelijk zijn aan de einddatum van de verantwoordingsperiode. -->
	<xsl:template name="rc9225">
		
		<xsl:param name="EinddatumVerantwoordingsperiode"/>
		<xsl:param name="BegindatumPrestatie"/>
		
		<xsl:if test="normalize-space($BegindatumPrestatie) &gt; normalize-space($EinddatumVerantwoordingsperiode)"> 
			<fz812:Retourcode>9225</fz812:Retourcode>
		</xsl:if>
		
	</xsl:template>

</xsl:stylesheet>
