<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9226v2u1.xslt, juli 2020 -->
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:fz="http://ei.vektis.nl/verantwoording/basisschema/v2_0"
 xmlns:fz812="http://ei.vektis.nl/verantwoording/fz812/v2_0">

	<!-- retourcode xxx1: EinddatumVerantwoordingsperiode moet kleiner zijn dan of gelijk zijn aan de huidige datum. -->
	<xsl:template name="rc9226">

		<xsl:param name="EinddatumVerantwoordingsperiode"/>
		<xsl:param name="BerichtSoort"/>

		<!-- P van 'productie' --> 
		<xsl:if test="normalize-space($BerichtSoort) = normalize-space($OmgevingVecozo)">
			<xsl:if test="normalize-space($EinddatumVerantwoordingsperiode) &gt; normalize-space($HuidigeDatum)">
				<fz812:Retourcode>9226</fz812:Retourcode>
			</xsl:if>
		</xsl:if>

	</xsl:template>

</xsl:stylesheet>
