<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9227bv2u1.xslt, juli 2020 -->
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:fz="http://ei.vektis.nl/verantwoording/basisschema/v2_0"
 xmlns:fz812="http://ei.vektis.nl/verantwoording/fz812/v2_0">

	<!-- retourcode 9227: Het aantal SGLVG dagen in TotaalOHWDBBC moet gelijk zijn aan de som van VerblijfsdagenKalenderjaarSGLVG uit de Plaatsingsbesluiten OHWDBBC.  -->
	<xsl:template name="rc9227b">

		<xsl:param name="SomTotaalSGLVGdagen"/>
		<xsl:param name="TotaalPlaatsingsbesluiten"/>
		
		<xsl:if test="$SomTotaalSGLVGdagen != $TotaalPlaatsingsbesluiten">
			<fz812:Retourcode>9227</fz812:Retourcode>
		</xsl:if>				
			
	</xsl:template>
</xsl:stylesheet>
